Summary:	Free versions of the 35 standard PostScript fonts
Summary(pl.UTF-8):	Wolnodostępne wersje 35 standardowych fontów postscriptowych
Name:		fonts-Type1-urw
Version:	20151005
Release:	1%{?tld}
License:	AGPL v3 with PS/PDF embedding exception
Group:		Fonts
Source0:	http://downloads.ghostscript.com/public/fonts/urw-base35-%{version}.zip
# Source0-md5:	e221e1dbff1f2141fad6e6b8ac80a3bf
Source1:	%{name}.Fontmap
# fonts.scale from 1.0.7-pre44 (pre)release, contains traditional names (other than guessed by mkfontscale)
Source2:	%{name}.scale
BuildRequires:	unzip
BuildRequires:	xorg-app-mkfontscale
Requires(post,postun):	fontpostinst >= 0.1-6
Requires:	%{_fontsdir}/Type1
Provides:	ghostscript-fonts-std
Obsoletes:	ghostscript-fonts-std
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		t1fontsdir	%{_fontsdir}/Type1
%define		t1afmdir	%{t1fontsdir}/afm
%define		t1pfmdir	%{t1fontsdir}/pfm

%description
Free, good quality versions of the 35 standard PostScript(TM) fonts,
donated under the GPL by URW++ Design and Development GmbH. The
fonts.dir file font names match the original Adobe names of the fonts
(e.g., Times, Helvetica, etc.).

%description -l pl.UTF-8
Wolnodostępne, dobrej jakości wersje 35 standardowych fontów
postscriptowych, wydanych na licencji GPL przez URW++ Design and
Development GmbH. Plik fonts.dir zawiera nazwy fontów pasujące do
oryginalnych nazw Adobe (np. Times, Helvetica itd.).

%prep
%setup -q -c

%build
%{_bindir}/mkfontscale .
# generated file: skip count
tail -n +2 fonts.scale | LC_ALL=C sort > fonts.scale-cur.sorted
# traditional names: skip count, leave only one unique name (with single encoding)
tail -n +2 %{SOURCE2} | LC_ALL=C sort -t- -k1,13 -u > fonts.scale-trad.sorted
# apply autogenerated encodings list to each tranditional name
join -j1 -t- -o1.1,1.2,1.3,1.4,1.5,1.6,1.7,1.8,1.9,1.10,1.11,1.12,1.13,2.14,2.15 fonts.scale-trad.sorted fonts.scale-cur.sorted > fonts.scale.add
# merge all lists
LC_ALL=C sort -u fonts.scale-cur.sorted fonts.scale-trad.sorted fonts.scale.add > fonts.scale.urw

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{t1fontsdir},%{t1afmdir},%{t1pfmdir}}
cp -p *.pfb $RPM_BUILD_ROOT%{t1fontsdir}
cp -p *.afm $RPM_BUILD_ROOT%{t1afmdir}
cp -p *.pfm $RPM_BUILD_ROOT%{t1pfmdir}

cp -p fonts.scale.urw $RPM_BUILD_ROOT%{t1fontsdir}/fonts.scale.urw
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{t1fontsdir}/Fontmap.urw

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst Type1

%postun
fontpostinst Type1

%files
%defattr(644,root,root,755)
%doc LICENSE
%{t1fontsdir}/Fontmap.urw
%{t1fontsdir}/fonts.scale.urw
%{t1fontsdir}/a0100??l.pfb
%{t1fontsdir}/b0180??l.pfb
%{t1fontsdir}/c0590??l.pfb
%{t1fontsdir}/d050000l.pfb
%{t1fontsdir}/n0190??l.pfb
%{t1fontsdir}/n0210??l.pfb
%{t1fontsdir}/n0220??l.pfb
%{t1fontsdir}/p0520??l.pfb
%{t1fontsdir}/s050000l.pfb
%{t1fontsdir}/z003034l.pfb
%{t1afmdir}/a0100??l.afm
%{t1afmdir}/b0180??l.afm
%{t1afmdir}/c0590??l.afm
%{t1afmdir}/d050000l.afm
%{t1afmdir}/n0190??l.afm
%{t1afmdir}/n0210??l.afm
%{t1afmdir}/n0220??l.afm
%{t1afmdir}/p0520??l.afm
%{t1afmdir}/s050000l.afm
%{t1afmdir}/z003034l.afm
%{t1pfmdir}/a0100??l.pfm
%{t1pfmdir}/b0180??l.pfm
%{t1pfmdir}/c0590??l.pfm
%{t1pfmdir}/d050000l.pfm
%{t1pfmdir}/n0190??l.pfm
%{t1pfmdir}/n0210??l.pfm
%{t1pfmdir}/n0220??l.pfm
%{t1pfmdir}/p0520??l.pfm
%{t1pfmdir}/s050000l.pfm
%{t1pfmdir}/z003034l.pfm
%changelog
* Thu Apr 25 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/fonts-Type1-urw.git;a=log;h=master

* Sat Jul 30 2016 Jakub Bogusz <qboosh@pld-linux.org> ded35cd
- updated to 20151005 (from ghostscript site)
- License is AGPL v3 now (last GPL version left on GPL branch)
- keep fonts.scale from 1.0.7 for traditional names

* Wed Jul 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 05e3ed5
- verbose files

* Sun Oct 27 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f06317
- up to 1.0.7pre44

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> a993476
- release 0.pre43.4 (by relup.sh)

* Sat Feb 02 2008 dzeus <dzeus@pld-linux.org> 8b14962
- rel. ++

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 9e00073
- better fonts.scale: get original font names from supplied fonts.dir, but add
  remaining encodings from autogenerated fonts.scale
- merged .Fontmap from ghostscript-fonts-std
- install pfm metrics
- GPL v2 (as specified in included COPYING file)

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 5ccfab4
- copied from ghostscript-fonts-std

* Tue Dec 25 2007 Jakub Bogusz <qboosh@pld-linux.org> c5b6de1
- pl
- different versioning scheme, no sense in g-f-s P: versioned with VR

* Wed Nov 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 943fed2
- add changelog to docs

* Wed Nov 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 94dcfa9
- provide fonts.scale

* Wed Nov 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> bbd7e00
- P/O ghostscript-fonts-std

* Wed Nov 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 4fee9ff
- maintained urw fonts

